﻿@{ViewData["Title"]="Mapel Guru";}
<section class="section">
    <div class="section-header">
        <h1>Update Materi & Soal</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Update Materi & Soal</a></div>
        </div>
    </div>
    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align: center;">
            <div style="margin-top: 150px;"><i class="fa fa-spinner fa-spin fa-4x"></i></div>
        </div>
        <div id="empty-data" style="text-align: center; display: none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top: -1px;">Ups! <span id="htmlEmptyData">Sepertinya tidak ada data, silahkan tambah baru</span></div>
        </div>
    </div>
    <div class="section-body" id="data" style="display: none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-7">Daftar Materi, Soal & Jadwal Tatap Muka</h4>
                <div class="col-md-5 text-right">
                    <button type="button" class="btn btn-primary btn-flat" onclick="BuatSoal(0);"><i class="fa fa-bolt"></i> Tambah Massal</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>JUDUL MATERI</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>TANGGAL</th>
                                <th>HARI</th>
                                <th>WAKTU</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>JUDUL MATERI</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>TANGGAL</th>
                                <th>HARI</th>
                                <th>WAKTU</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="section-body" id="preview" style="display: none;">
        <div class="alert alert-primary"><i class="fa fa-eye"></i> Anda sedang berada di mode preview</div>
        <div class="card">
            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link" style="cursor: pointer; color: red;" onclick="Kembali();"><i class="fa fa-arrow-left" aria-hidden="true"></i> KEMBALI</a>
                    </li>
                    <li class="nav-item"><a class="nav-link active" id="materi-tab" data-toggle="tab" href="#materi" role="tab" aria-controls="materi" aria-selected="true">MATERI</a></li>
                    <li class="nav-item"><a class="nav-link" id="soal-tab" data-toggle="tab" href="#soal" role="tab" aria-controls="soal" aria-selected="false">SOAL</a></li>
                    <li class="nav-item"><a class="nav-link" id="jawaban-tab" data-toggle="tab" href="#jawaban" role="tab" aria-controls="jawaban" aria-selected="false">UPLOAD JAWABAN</a></li>
                    @* <li class="nav-item"><a class="nav-link" id="videof2f-tab" data-toggle="tab" href="#videof2f" role="tab" aria-controls="videof2f" aria-selected="false">VIDEO TATAP MUKA</a></li> *@
                    @*
                    <li class="nav-item"><a class="nav-link" id="list-siswa-tab" data-toggle="tab" href="#list-siswa" role="tab" aria-controls="list-siswa" aria-selected="false">PROGRESS SISWA</a></li>
                    *@
                </ul>
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane fade show active" id="materi" role="tabpanel" aria-labelledby="materi-tab">
                        <ul class="list-unstyled list-unstyled-border mt-3">
                            <li class="media">
                                <img alt="image" id="PreviewFotoGuru" onerror="this.onerror=null; this.src='/assets/img/avatar/avatar-1.png'" class="mr-3 rounded-circle" width="50" src="~/assets/img/avatar/avatar-1.png" />
                                <div class="media-body">
                                    <div class="mt-0 mb-1 font-weight-bold"><span id="materi_guru">sedang memuat</span></div>
                                    <div class="text-primary text-small font-600-bold">Mapel <span id="materi_mapel">sedang memuat</span></div>
                                </div>
                            </li>
                        </ul>
                        <hr />
                        <b>Judul Materi:</b><br />
                        <div id="materi_judul"></div>
                        <br />
                        <b>Penjelasan:</b><br />
                        <div id="materi_deskripsi"></div>
                        
                        <div id="materi_downloadfile"></div>
                        
                        <div class="row" id="materi_gambar"></div>
                        <hr />
                        <div class="row" id="materi_video"></div>
                    </div>
                    <div class="tab-pane fade" id="soal" role="tabpanel" aria-labelledby="soal-tab">
                        <b>Penjelasan:</b><br />
                        <div id="soal_deskripsi"></div>
                        <hr />
                        <div id="htmlDownloadSoal"></div>
                    </div>
                    <div class="tab-pane fade" id="jawaban" role="tabpanel" aria-labelledby="jawaban-tab">
                        
                        <h5>Upload Jawaban Reguler</h5>
                        <div class="row mt-3" id="DivUploadJawabanOpen">
                            <div class="col-md-6">
                                <center><img src="~/assets/img/illustration/upload.svg" class="img-fluid" width="200px" /> <span style="margin: 15px; display: block;">Upload Jawaban Kamu</span></center>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group" id="jawaban_upload">
                                    <label for="JawabanUpload">Upload Jawaban</label> <input type="file" class="form-control" id="JawabanUpload" />
                                    <small id="" class="form-text text-muted text-danger">*Max file tidak lebih dari 5MB.</small>
                                    <small id="" class="form-text text-muted text-danger">*Upload jawaban dapat dilakukan berkali-kali selama nilai belum diberikan oleh guru yang bersangkutan.</small>
                                </div>
                                <div class="form-group" id="jawaban_youtube" style="display: none;">
                                    <label for="JawabanUrl">Masukan URL</label> <input type="text" class="form-control" id="JawabanUrl" placeholder="ex: https://www.youtube.com/embed/jTIUgshJjds" />
                                    <small id="" class="form-text text-muted text-danger">*Masukan URL <b>Embed</b> Youtube.</small>
                                </div>
                                <div class="form-group" id="jawaban_rubrik" style="display: none;">
                                    <div class="control-label">Sudah Melakukan?</div>
                                    <label class="custom-switch mt-2">
                                        <input type="checkbox" name="JawabanUrl" value="Ya" class="custom-switch-input">
                                        <span class="custom-switch-indicator"></span>
                                        <span class="custom-switch-description">Klik jika sudah melakukannya</span>
                                    </label>
                                </div>
                                <button type="button" class="btn btn-primary">Serahkan Tugas &nbsp;<i class="fa fa-arrow-right" aria-hidden="true"></i></button>
                            </div>
                        </div>

                        <div class="mt-3" id="DivUploadJawabanClose" style="display:none;">
                            <center>
                                <img src="~/assets/img/illustration/empty.png" class="img-fluid" width="300px">
                                <br /><br />
                                <button class="btn btn-primary" type="button"><span id="htmlInfoUploadJawaban">Tidak Ada Upload Jawaban</span></button>
                            </center>
                        </div>
                        <hr />

                        <h5>Upload Jawaban Remedial</h5>
                        <div class="row mt-3" id="DivUploadJawabanOpen1">
                            <div class="col-md-6">
                                <center><img src="~/assets/img/illustration/upload.svg" class="img-fluid" width="200px" /> <span style="margin: 15px; display: block;">Upload Jawaban Kamu</span></center>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group" id="jawaban_upload1">
                                    <label for="JawabanUpload">Upload Jawaban</label> <input type="file" class="form-control" id="JawabanUpload1" />
                                    <small id="" class="form-text text-muted text-danger">*Max file tidak lebih dari 5MB.</small>
                                    <small id="" class="form-text text-muted text-danger">*Upload jawaban dapat dilakukan berkali-kali selama nilai belum diberikan oleh guru yang bersangkutan.</small>
                                </div>
                                <div class="form-group" id="jawaban_youtube1" style="display: none;">
                                    <label for="JawabanUrl">Masukan URL</label> <input type="text" class="form-control" id="JawabanUrl1" placeholder="ex: https://www.youtube.com/embed/jTIUgshJjds" />
                                    <small id="" class="form-text text-muted text-danger">*Masukan URL <b>Embed</b> Youtube.</small>
                                </div>
                                <div class="form-group" id="jawaban_rubrik1" style="display: none;">
                                    <div class="control-label">Sudah Melakukan?</div>
                                    <label class="custom-switch mt-2">
                                        <input type="checkbox" name="custom-switch-checkbox" class="custom-switch-input">
                                        <span class="custom-switch-indicator"></span>
                                        <span class="custom-switch-description">Klik jika sudah melakukannya</span>
                                    </label>
                                </div>
                                <button type="button" class="btn btn-primary">Serahkan Tugas &nbsp;<i class="fa fa-arrow-right" aria-hidden="true"></i></button>
                            </div>
                        </div>

                        <div class="mt-3" id="DivUploadJawabanClose1" style="display:none;">
                            <center>
                                <img src="~/assets/img/illustration/empty.png" class="img-fluid" width="300px">
                                <br /><br />
                                <button class="btn btn-primary" type="button"><span id="htmlInfoUploadJawaban">Tidak Ada Upload Jawaban</span></button>
                            </center>
                        </div>

                    </div>
                    <div class="tab-pane fade" id="videof2f" role="tabpanel" aria-labelledby="videof2f-tab">
                        <div class="mt-5" id="meeting_empty">
                            <center>
                                <img src="~/assets/img/illustration/meeting.svg" class="img-fluid" width="350px" /> <br />
                                <br />
                                <button class="btn btn-primary" type="button">Video Belum Tersedia</button>
                            </center>
                        </div>
                        <div class="mt-5" id="meeting_ada">
                            <center><div id="meeting_url"></div></center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<div class="modal fade" id="ModalFormBuatSoal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormBuatSoal"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form id="FormBuatSoal" action="#" method="POST" class="needs-validation" novalidate>
                <div class="modal-body">
                    <div class="alert alert-warning" id="AlertChromeErr" style="display:none;"><i class="fa fa-warning"></i> <b>INFO</b> : Kami merekomendasikan untuk menggunakan <b><u>Browser Chrome</u></b> untuk menghindari <i>Error</i> pada saat proses mengisi materi pelajaran</div>

                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="materix-tab" data-toggle="tab" href="#materix" role="tab" aria-controls="materix" aria-selected="false"><i class="fa fa-book"></i> Buat Materi</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="soalx-tab" data-toggle="tab" href="#soalx" role="tab" aria-controls="soalx" aria-selected="true"><i class="fa fa-file"></i> Buat Soal</a>
                            </li>
                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="materix" role="tabpanel" aria-labelledby="materix-tab">
                                <div class="form-row">
                                    <div class="col-md-6">
                                        <div class="form-row" id="KelasNonMassal">
                                            <input type="hidden" id="IdKbmMateris" name="IdKbmMateris[]" class="form-control" />
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="col-form-label font-weight-bold text-right">Kelas Paralel</label>
                                                    <input type="text" class="form-control" name="KelasParalel" id="KelasParalel" placeholder="Ketikkan Kelas Paralel..." readonly />
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="col-form-label font-weight-bold text-right">Mata Pelajaran</label>
                                                    <input type="text" class="form-control" name="Mapel" id="Mapel" placeholder="Ketikkan Mapel..." readonly />
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group" id="KelasMassal" style="display:none;">
                                            <label class="col-form-label font-weight-bold text-right">Kelas & Mapel</label>
                                            <select type="text" class="form-control select2" style="width:100%" name="IdKbmMateris[]" id="KelasParalelMassal" multiple>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Judul Materi</label> <input type="text" class="form-control" name="Judul" id="Judul" placeholder="Ketikkan Judul Materi..." />
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">File Materi</label> <input type="file" class="form-control" name="FileMateri" id="FileMateri" />
                                            <small><span id="htmlFileMateri"></span></small>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Penjelasan Materi</label>
                                            <textarea class="form-control ckeditor-materi" name="Deskripsi" id="Deskripsi" placeholder="Ketikkan Penjelasan Materi..."></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <ul class="nav nav-pills mb-3" id="DataMedia" role="tablist" style="display:none">
                                            <li class="nav-item">
                                                <a class="nav-link active" id="form-media-tab" data-toggle="pill" href="#form-media" role="tab" aria-controls="form-media" aria-selected="true">Input Media</a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link" id="daftar-media-tab" data-toggle="pill" href="#daftar-media" role="tab" aria-controls="daftar-media" aria-selected="false">Daftar Media</a>
                                            </li>
                                        </ul>
                                        <div class="tab-content" id="DataMediaContent">
                                            <div class="tab-pane fade show active" id="form-media" role="tabpanel" aria-labelledby="form-media-tab">
                                                <div class="url-video-wrap">
                                                    <div class="form-group">
                                                        <label class="col-form-label font-weight-bold text-right">Embed Video (opsional)</label> <input type="text" class="form-control" name="UrlVideo[]" id="UrlVideo" placeholder="Ketikkan URL Video Youtube..." />
                                                    </div>
                                                </div>
                                                <button class="btn btn-success btn-block" type="button" name="BtnAddUrlVideo"><i class="fa fa-plus"></i> Tambah Embed Video</button> <br />
                                                <div class="upload-gambar-wrap">
                                                    <div class="form-group">
                                                        <label class="col-form-label font-weight-bold text-right">Upload Gambar (opsional)</label> <input type="file" class="form-control" name="UploadGambar[]" id="UploadGambar" placeholder="Pilih Gambar..." />
                                                    </div>
                                                </div>
                                                <button class="btn btn-success btn-block" type="button" name="BtnAddUploadGambar"><i class="fa fa-plus"></i> Tambah Upload Gambar</button> <br />
                                            </div>
                                            <div class="tab-pane fade" id="daftar-media" role="tabpanel" aria-labelledby="daftar-media-tab">
                                                <div class="table-responsive">
                                                    <table id="TabelDaftarMedia" class="table table-striped table-bordered table-hover nowrap" style="width: 100%;">
                                                        <thead>
                                                            <tr>
                                                                <th>AKSI</th>
                                                                <th>URL/FOTO</th>
                                                                @* <th>TIPE</th> *@
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                        
                                    
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="soalx" role="tabpanel" aria-labelledby="soalx-tab">
                                <div class="form-row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Penjelasan Soal</label>
                                            <textarea class="form-control ckeditor-soal" name="DeskripsiTugas" id="DeskripsiTugas" placeholder="Ketikkan Penjelasan Soal..."></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Tipe Soal ?</label><br />
                                            <input type="radio" name="TipeSoal" id="FileSoalReguler" value="1" /> Upload File &nbsp;&nbsp; <input type="radio" name="TipeSoal" id="UrlSoalReguler" value="2" /> Embed Video &nbsp;&nbsp;
                                            <div id="TipeSoalUpload" style="display: none;">
                                                <input type="file" class="form-control" name="FileSoal" id="FileSoal" placeholder="Pilih Soal..." /> <small><span id="htmlFileSoal"></span></small>
                                            </div>
                                            <div id="TipeSoalEmbed" style="display: none;"><input type="text" class="form-control" name="UrlSoal" id="UrlSoal" placeholder="Ketikkan URL Video Soal..." /></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Tipe Jawaban Soal</label> 
                                            <select class="form-control" name="TipeJawabanSoal" id="TipeJawabanSoal">
                                                @*<option value="0">Tidak Keduanya</option>*@
                                                <option value="3">Rubrik (Jika tidak perlu jawaban)</option>
                                                <option value="1">Upload File</option>
                                                <option value="2">Embed Video</option>
                                            </select>
                                        </div>
                                        <hr style="border: 2px solid orange;" />
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Tipe Soal (Remedial) ?</label><br />
                                            <input type="radio" name="TipeSoalRemedial" id="FileTipeSoalRemedial" value="1" /> Upload File &nbsp;&nbsp; <input type="radio" name="TipeSoalRemedial" id="UrlTipeSoalRemedial" value="2" /> Embed
                                            Video
                                            <div id="TipeSoalRemedialUpload" style="display: none;">
                                                <input type="file" class="form-control" name="FileSoalRemedial" id="FileSoalRemedial" placeholder="Pilih Soal Remedial..." /> <small><span id="htmlFileSoalRemedial"></span></small>
                                            </div>
                                            <div id="TipeSoalRemedialEmbed" style="display: none;"><input type="text" class="form-control" name="UrlSoalRemedial" id="UrlSoalRemedial" placeholder="Ketikkan URL Video Soal Remedial..." /></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Tipe Jawaban (Remedial)</label> 
                                            <select class="form-control" name="TipeJawabanRemedial" id="TipeJawabanRemedial">
                                                @*<option value="0">Tidak Keduanya</option>*@
                                                <option value="3">Rubrik (Jika tidak perlu jawaban)</option>
                                                <option value="1">Upload File</option>
                                                <option value="2">Embed Video</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark text-center" data-dismiss="modal"><i class="fa fa-times"></i> Batal</button>
                    <button type="button" class="btn btn-primary text-center" id="BtnSaveData" onclick="UpdateMateris();"><i class="fa fa-save"></i> Simpan Data</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalMateriGambar" tabindex="-1" role="dialog" aria-labelledby="tanggalModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div id="htmlMateriGambar"></div>
    </div>
</div>
